Genivia - wsdd__ProbeMatchesType Struct Reference

|  | Home | Documentation | wsdd__ProbeMatchesType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ProbeMatchesType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeMatchesType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ProbeMatchesType:
[legend]

## Public Attributes
$int | __sizeProbeMatch
| Size of array of struct wsdd__ProbeMatchType* is 0..unbounded. More...
struct wsdd__ProbeMatchType * | ProbeMatch
| Array struct wsdd__ProbeMatchType* of size 0..unbounded. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeMatchesType is a complexType.

struct wsdd__ProbeMatchesType operations:

- wsdd__ProbeMatchesType* soap_new_wsdd__ProbeMatchesType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ProbeMatchesType(struct soap*, wsdd__ProbeMatchesType*) default initialize members
- int soap_read_wsdd__ProbeMatchesType(struct soap*, wsdd__ProbeMatchesType*) deserialize from a source
- int soap_write_wsdd__ProbeMatchesType(struct soap*, wsdd__ProbeMatchesType*) serialize to a sink
- wsdd__ProbeMatchesType* soap_dup_wsdd__ProbeMatchesType(struct soap*, wsdd__ProbeMatchesType* dst, wsdd__ProbeMatchesType <em>src) returns deep copy of wsdd__ProbeMatchesType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ProbeMatchesType(wsdd__ProbeMatchesType) deep deletes wsdd__ProbeMatchesType data members, use only on dst after soap_dup_wsdd__ProbeMatchesType(NULL, wsdd__ProbeMatchesType *dst, wsdd__ProbeMatchesType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int wsdd__ProbeMatchesType::__sizeProbeMatch

Size of array of struct wsdd__ProbeMatchType* is 0..unbounded.

struct wsdd__ProbeMatchType* wsdd__ProbeMatchesType::ProbeMatch

Array struct wsdd__ProbeMatchType* of size 0..unbounded.

The documentation for this struct was generated from the following file:

- wsdd.h